> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thehog.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shared SEO keywords

> Returns organic keywords shared across the supplied domains.

# POST /api/v1/platform/scrapers/seo/competing-keywords

> Find organic keywords shared across domains.

Compare one or more competitor domains to discover overlapping organic keywords. Optionally exclude domains from the comparison.

## Example

```bash theme={null} theme={"theme":{"light":"github-light","dark":"github-dark"}}
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/seo/competing-keywords \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"includedDomains": ["acme.com", "competitor.com"], "pageSize": 25}'
```


## OpenAPI

````yaml api-reference/openapi.json POST /api/v1/platform/scrapers/seo/competing-keywords
openapi: 3.0.0
info:
  title: The Hog API
  description: Public API reference for The Hog.
  version: '1.0'
  contact: {}
servers:
  - url: https://developer.thehog.ai
security: []
tags: []
paths:
  /api/v1/platform/scrapers/seo/competing-keywords:
    post:
      tags:
        - Scrapers
      summary: Get shared SEO keywords
      description: Returns organic keywords shared across the supplied domains.
      operationId: getSeoCompetingKeywords
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformSearchIntelligenceCompetingDto'
      responses:
        '200':
          description: Organic keywords shared across domains.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - meta
                additionalProperties: false
                properties:
                  data:
                    $ref: '#/components/schemas/SearchIntelligenceKeywordsResponseDto'
                  meta:
                    $ref: '#/components/schemas/PublicResponseMetaDto'
        '400':
          description: The request body or parameters are invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 400
                error: Bad Request
                message: Validation failed
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
                errors:
                  - property: body.query
                    message: query must be a string
                    constraints:
                      isString: query must be a string
        '401':
          description: Authentication is required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 401
                error: Unauthorized
                message: Authentication is required.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        '402':
          description: The organization does not have enough credits for this request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 402
                error: Payment Required
                message: Insufficient credits.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        '500':
          description: An unexpected error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 500
                error: Internal Server Error
                message: An unexpected error occurred.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        '502':
          description: The upstream service could not complete the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 502
                error: Bad Gateway
                message: An unexpected error occurred.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
      security:
        - AccessKey: []
          SecretKey: []
components:
  schemas:
    PlatformSearchIntelligenceCompetingDto:
      type: object
      properties:
        includedDomains:
          example:
            - acme.com
            - competitor.com
          description: Domains to compare for shared keywords.
          type: array
          items:
            type: string
        excludedDomains:
          example:
            - excluded.com
          description: Domains to exclude from the comparison.
          type: array
          items:
            type: string
        pageSize:
          type: number
          default: 25
          minimum: 1
          maximum: 100
      required:
        - includedDomains
    SearchIntelligenceKeywordsResponseDto:
      type: object
      properties:
        domain:
          type: string
          nullable: true
        seedKeyword:
          type: string
          nullable: true
        includedDomains:
          nullable: true
          type: array
          items:
            type: string
        excludedDomains:
          nullable: true
          type: array
          items:
            type: string
        searchType:
          type: string
          nullable: true
        intent:
          type: string
          enum:
            - seo
            - aeo
            - geo
            - ppc
        resultCount:
          type: number
        totalMatchingResults:
          type: number
        keywords:
          type: array
          items:
            $ref: '#/components/schemas/SearchIntelligenceKeywordRowResponseDto'
      required:
        - intent
        - resultCount
        - totalMatchingResults
        - keywords
    PublicResponseMetaDto:
      type: object
      properties:
        requestId:
          type: string
      required:
        - requestId
    PublicErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        error:
          type: string
          example: Bad Request
        message:
          type: string
          example: Validation failed
        path:
          type: string
          example: /api/v1/search
        requestId:
          type: string
          example: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        timestamp:
          type: string
          example: '2026-05-21T09:08:10.000Z'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/PublicValidationErrorItemDto'
      required:
        - statusCode
        - error
        - message
        - path
        - timestamp
    SearchIntelligenceKeywordRowResponseDto:
      type: object
      properties:
        keyword:
          type: string
        searchVolume:
          type: number
          nullable: true
        rank:
          type: number
          nullable: true
        rankingDifficulty:
          type: number
          nullable: true
        totalMonthlyClicks:
          type: number
          nullable: true
        percentOrganicClicks:
          type: number
          nullable: true
        broadCostPerClick:
          type: number
          nullable: true
        isQuestion:
          type: boolean
          nullable: true
      required:
        - keyword
    PublicValidationErrorItemDto:
      type: object
      properties:
        property:
          type: string
          example: body.query
        message:
          type: string
          example: query must be a string
        constraints:
          type: object
          additionalProperties:
            type: string
          example:
            isString: query must be a string
      required:
        - property
        - message
  securitySchemes:
    AccessKey:
      type: apiKey
      in: header
      name: X-Access-Key
      description: The public API key from the Credentials page.
    SecretKey:
      type: apiKey
      in: header
      name: X-Secret-Key
      description: The API secret shown when the credential is created.

````